### Function

# GtkVnc GrabSequence new

#### Declaration [src]

    VncGrabSequence*
    vnc_grab_sequence_new (
      guint nkeysyms,
      guint* keysyms
    )

#### Description [src]

Creates a new grab sequence from a list of keysym values.

#### Parameters

`nkeysyms`

  Type: `guint`

  Length of `keysyms`.

`keysyms`

  Type: An array of `guint`

  The keysym values.

  The length of the array is specified in the `nkeysyms` argument.
  The data is owned by the caller of the function.

#### Return value

Type: `VncGrabSequence`

A new grab sequence object.

The caller of the function takes ownership of the data, and is responsible for freeing it.